Subject: bug#36313: 12.1.2; percent symbol in \url{}

From: David Kastrup <[email-masked]>
Date: Fri, 28 Jun 2019 15:38:13 +0200

Ryo Furue <[email-masked]> writes:

> Dear David and others,
>
> On Fri, Jun 28, 2019 at 6:04 PM David Kastrup <[email-masked]> wrote:
>
>> If you use ELPA for installing it, it is enabled by default.  If we
>> would aim for AUCTeX only being used as a consequence of deliberate user
>> action rather than system administration activity, the defaults would
>> likely be different.
>>
>
> First, I apologize in advance, if I misunderstand what you are saying. So,
> please bear with me if I do misunderstand it.
>
>>>From your argument in your previous message, I thought that
>
>  (1) the parsing of the TeX installation tree would happen to all
>  emacs users if the variable is set by default.
>
>
> But according to this latest of yours, it seems that
>
> (2) the parsing of the TeX installation tree would happen
> to those users who explicitly install AUCTeX through ELPA.

Or to users subjected to an installation installing AUCTeX in any manner
through ELPA.

> (The installation of AUCTeX wouldn't happen unless you explicitly do
> so. Is that correct?)

Who is "you"?  You are assuming that maintainer and user of an Emacs
binary are identical.  That is not necessarily the case.

-- 
David Kastrup